ORA-28041: Authentication protocol internal error

if your Oracle client version is 11.1.0.7 and you use Oracle 12.2 databases with a patch applied after April 2018 PSU, you receive an error like below during the password change of the expired user.

ORA-28041: Authentication protocol internal error.

If the database version is 12.2.0.1 and Jan2018PSU is applied, there is no problem. Oracle client version should be upgraded to avoid problems. There will be no problems with 12c client.

In 12.2.0.1 databases, 11.1 client support has been removed. The following table shows which client and which database version are supported.

dbtut
Author: dbtut

We are a team with over 10 years of database management and BI experience. Our Expertises: Oracle, SQL Server, PostgreSQL, MySQL, MongoDB, Elasticsearch, Kibana, Grafana.

Leave a Reply

Your email address will not be published. Required fields are marked *